| All Verbs | /RestApi/Sitefinity/Analytics/GetDashboardPermissionsForUser | ||
|---|---|---|---|
| All Verbs | /RestApi/GetDashboardPermissionsForUser |
import java.math.*
import java.util.*
import net.servicestack.client.*
open class GetDashboardPermissionsForUserMessage
{
var UserName:String? = null
var UserId:UUID? = null
var SiteId:UUID? = null
}
open class GetDashboardPermissionsForUserData
{
var Permissions:ArrayList<DashboardPermission> = ArrayList<DashboardPermission>()
var IsAdmin:Boolean? = null
var IsAdminRole:Boolean? = null
}
@DataContract
open class DashboardPermission
{
@DataMember
var DashboardId:UUID? = null
@DataMember
var CanView:Boolean? = null
}
Kotlin GetDashboardPermissionsForUserMessage DTOs
To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
POST /RestApi/Sitefinity/Analytics/GetDashboardPermissionsForUser HTTP/1.1
Host: www.asg.com.au
Accept: text/jsv
Content-Type: text/jsv
Content-Length: length
{
UserName: String
}
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length
{
Permissions:
[
{
CanView: False
}
],
IsAdmin: False,
IsAdminRole: False
}